gdlmm: Gdl::DockItemGrip Class Reference

gdlmm 3.7.3

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gdl::DockItemGrip Class Reference
Inheritance diagram for Gdl::DockItemGrip:
[legend]
Collaboration diagram for Gdl::DockItemGrip:
[legend]

## Public Member Functions
virtual | ~DockItemGrip ()
GdlDockItemGrip* | gobj ()
| Provides access to the underlying C GtkObject.
const GdlDockItemGrip* | gobj () const
| Provides access to the underlying C GtkObject.
| DockItemGrip ()
void | set_label (Gtk::Widget& label)
void | hide_handle ()
void | show_handle ()

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Functions
(Note that these are not member functions.)
Gdl::DockItemGrip* | wrap (GdlDockItemGrip* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdl::DockItemGrip::~DockItemGrip | ( |  | ) |
| virtual

Gdl::DockItemGrip::DockItemGrip | ( |  | ) |

## Member Function Documentation

static GType Gdl::DockItemGrip::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GdlDockItemGrip* Gdl::DockItemGrip::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

const GdlDockItemGrip* Gdl::DockItemGrip::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

void Gdl::DockItemGrip::hide_handle | ( |  | ) |

void Gdl::DockItemGrip::set_label | ( | Gtk::Widget & | label | ) |

void Gdl::DockItemGrip::show_handle | ( |  | ) |

## Friends And Related Function Documentation

Gdl::DockItemGrip* wrap | ( | GdlDockItemGrip * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdlmm/dockitemgrip.h